Subject: can I detect that the system was wake-on-lan booted?

From: Tomasz Chmielewski <[email-masked]>
Date: Thu, 02 Jul 2009 09:25:17 +0200

Is it possible to detect if the system (x86_32 or x86_64 kernel) was 
booted with wake-on-lan?

I would like to make different system startups, accordingly (enable X if 
normal power-on or reboot; do not enable X if PC turned on with 
wake-on-lan).

-- 
Tomasz Chmielewski
http://wpkg.org